Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002295SpeedFanUser interfacepublic2014-08-27 16:142014-09-19 16:11
Reportereugnsp 
Assigned Toalfredo 
PriorityhighSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindowsOS Version7
Product Version4.50 
Target VersionFixed in Version4.51 beta 
Summary0002295: Child windows are not centered correctly on multiple display configuration
DescriptionI have two displays connected to the mainboard (DVI+HDMI). When I press the "Configure" button, the new window is opened outside the current display and is not accessible. It seems that the newly created window is centered not with respect to the current display where the main window is shown, but to the whole virtual screen that contains both displays.
Steps To ReproduceInstall the program, run it, press "Configure" button.
TagsNo tags attached.
Motherboard ModelASUS H97-PRO
Video Card Model
Attached Filesjpg file icon Untitled.jpg [^] (49,784 bytes) 2014-08-27 16:14

- Relationships

-  Notes
(0007564)
MaxusR (reporter)
2014-08-27 20:35

These are not centered at all. Even in single monitor mode.
(0007565)
eugnsp (reporter)
2014-08-27 20:37

Child windows seem to be centered the first time they are displayed. After that their position is memorized.
(0007567)
alfredo (manager)
2014-08-29 10:31

I changed this behaviour and now it opens at the center of the main form.
eugnsp is correct: the position is stored for later openings.
Should I disable this feature?
(0007568)
alfredo (manager)
2014-08-29 10:33

Ok. It no longer stores its position. Now it alwasy opens centered with the main window.
(0007569)
eugnsp (reporter)
2014-08-29 11:47

>Should I disable this feature?
I would suggest to keep it. This is a useful feature.

- Issue History
Date Modified Username Field Change
2014-08-27 16:14 eugnsp New Issue
2014-08-27 16:14 eugnsp Status new => assigned
2014-08-27 16:14 eugnsp Assigned To => alfredo
2014-08-27 16:14 eugnsp File Added: Untitled.jpg
2014-08-27 20:35 MaxusR Note Added: 0007564
2014-08-27 20:37 eugnsp Note Added: 0007565
2014-08-29 10:28 alfredo Status assigned => acknowledged
2014-08-29 10:31 alfredo Note Added: 0007567
2014-08-29 10:33 alfredo Note Added: 0007568
2014-08-29 10:34 alfredo Resolution open => fixed
2014-08-29 10:34 alfredo Fixed in Version => 4.51 beta
2014-08-29 11:47 eugnsp Note Added: 0007569
2014-09-19 16:11 alfredo Status acknowledged => resolved
2016-12-21 20:01 09876ggddzz Issue cloned: 0002589


Copyright © 2000 - 2018 MantisBT Team
Time: 0.2882 seconds.
memory usage: 8,068 KB
Powered by Mantis Bugtracker